const WebpackConfig = require('./webpack/build.config.js')
const Webpack = require('webpack')
const getConfig = require('./utils/getConfig')
const uploadCDN = require('./cdn')


module.exports = async (pageName) => {
  //获取options
  const baseConfig = getConfig(pageName)
  const options = {
    pageName,
    ...baseConfig
  }
  const config = await WebpackConfig(options)
  const compiler = Webpack(config)
  compiler.run(async (err, stats) => {
    if (err || stats.hasErrors()) {
      throw new Error(err)
    }

    // show stats
    console.log(stats.toString({
      chunks: false,
      children: false,
      modules: false,
      colors: true
    }))
    await uploadCDN(pageName)
  })
}
