const fn = require(`./${process.argv[2]}.js`)
const fse = require('fs-extra')
const path = require('path')
const chalk = require('chalk')
const config = require('./config')


const pageName = process.argv[3] || 'index'


function exists(path){
  return fse.existsSync(path) ;
}

function isDir(path){
  return process.argv[2] !== 'new' && exists(path) && fse.statSync(path).isDirectory();
}

function isNew(path){
  return process.argv[2] === 'new' && !exists(path) ;
}

const run = (fn) => {
  // 入口是否存在
  if(isDir(path.resolve(process.cwd(),'src',pageName)) || isNew(path.resolve(process.cwd(),'src',pageName))){
    return fn(pageName).then((result)=>{
      return result;
    });
  }
  return Promise.reject(process.argv[2] === 'new' ? `${pageName}目录已存在` : `${pageName}目录不存在`)
}

run(fn).catch((err)=>{
  console.log(chalk.red(err));
})
