import Vue from 'vue'
import VueRouter from 'vue-router'


Vue.use(VueRouter)

const routes = [
  { path: '*', redirect: '/index' }
];

function importPages (r) {
  r.keys().forEach(key => {
    //https://github.com/webpack/webpack/pull/5235/files 支持懒加载
    routes.push({ path: (key.split('.'))[1], component: ()=>r(key)})
  });
}


importPages(require.context('./views', true, /\.vue$/,'lazy'))


const router = new VueRouter({routes: routes});

router.afterEach(()=>{
  window.scrollTo(0,0);
})
export default router;
