const path = require('./lib/path')
const webpack = require('webpack')
const { resolve , resolveLoader , getModules , getPlugins} = require('./common.config')
const getEntries = require('../utils/entry')


module.exports = async ({pageName , title , env, dll, ...options})=>{
  const pages = await getEntries(pageName)

  return {
    devtool: 'cheap-module-eval-source-map',
    entry: pages,
    output: {
      path: path.dst,
      filename: `assets/${pageName}/js/[name].js`,
      chunkFilename: `assets/${pageName}/js/[name].chunk.js`,
      publicPath: '/'
    },
    resolve: resolve(),
    resolveLoader,
    module: getModules(pageName),
    plugins: getPlugins({pageName , title , env , dll} ,Object.keys(pages)).concat(
      new webpack.DefinePlugin({
        'process.env': {
          NODE_ENV: '"development"'
        }
      }),
      new webpack.HotModuleReplacementPlugin(),
      new webpack.NamedModulesPlugin(),//开发时候显示模块的相对路径
    )
  }
}
