module.exports = {
    extends: 'eslint:recommended',
    parser: 'babel-eslint',//解析器，这里我们使用babel-eslint
    plugins:['html'],//插件，此插件用于识别文件中的js代码，没有MIME类型标识没有script标签也可以识别到，因此拿来识别.vue文件中的js代码
    env:{
      browser:true,
      es6:true,
      commonjs:true
    },
    rules : {
      "default-case" :         2,//switch语句中有default分支
      "complexity"   :         2,//所有代码的独立现行路径条数
      "no-undef" :             0, //禁用未声明的变量
      "no-unused-vars" :       0,
      "no-empty-function" :    2,//禁止出现空函数
      "no-eq-null"    :        2,//禁止在没有类型检查操作符的情况下与 null 进行比较
      "no-unmodified-loop-condition" : 2,//禁用一成不变的循环条件
      "no-console":            0, //不允许出现console语句
      "curly":                 2,//强制所有控制语句使用一致的括号风格
      "guard-for-in":          2,//要求 for-in 循环中有一个 if 语句
      "no-alert":              2, //用 alert、confirm 和 prompt
      "no-else-return":        2, //禁止 if 语句中 return 语句之后有 else 块
      "no-multi-spaces":       ["error", { exceptions: {"AssignmentPattern":true, "ImportDeclaration": true ,"VariableDeclarator": true ,"BinaryExpression": true, "Property": true } }], //禁止>
使用多个空格
      "array-bracket-spacing": 2,//强制数组方括号中使用一致的空格
      // "block-spacing":         2  , //强制在单行代码块中使用一致的空格
      "linebreak-style":       ["error", "unix"], //强制使用一致的换行风格
      "indent":                ["error", 2, { "SwitchCase": 1 }], //强制使用一致的缩进
    },
    parserOptions:{
      sourceType: "module"//类型为module，因为代码使用了使用了ECMAScript模块
    }
}
